package com.kingdee.eas.custom.facade;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public interface IEarlyWarningFacade extends IBizCtrl
{
    public void overExpenseApply() throws BOSException, EASBizException;
    public void forwardApply() throws BOSException, EASBizException;
    public void overAuditApply() throws BOSException, EASBizException;
    public void attendanceAbnormalApply() throws BOSException, EASBizException;
    public void becomeWorkApply() throws BOSException, EASBizException;
    public void thatAttendAbnormal() throws BOSException, EASBizException;
    public void departAttendAbnormal() throws BOSException, EASBizException;
    public void monthAttendAbnormal() throws BOSException, EASBizException;
}